h3,
p, 
#contact-form *,
#contact-form input  {
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

h1 {
    font-family: "Germania One", system-ui;
    font-weight: 400;
    font-style: normal;
    font-size: 100px;
    filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.5));
}

a {
    text-decoration: none;
    color: inherit;
}

body {
    max-width: 900px;
    margin: auto;

}

.header-container {
    display: grid;
    grid-template-columns: 1fr, 1fr, 1fr, 1fr;
    grid-template-rows: 1fr, 1fr;
    background-color: antiquewhite;
}

.gr-span4-col {
    grid-column: span 4;
}

.rectangle {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: auto;
    grid-column: span 2;
}

.gr-1-col {
    grid-column: 1;
}

.gr-2-col {
    grid-column: 2;
}

.gr-3-col {
    grid-column: 3;
}

.gr-4-col {
    grid-column: 4;
}

.gr-ctr {
    place-self: center;
}

.gr-rgt {
    justify-self: end;
}

.gr-lft {
    justify-self: start;
}

.menu-icon {
    width: 30px;
    height: 30px;
    display: block;

    display: none;
    border: 1px solid white;
    background-color: black;

    border-radius: 20%;

    position: fixed;
    left: 20px;
    top: 40px;
}

.menu-list {
    display: none;
    list-style: none;
}

.menu-icon:hover {
    cursor: pointer;
    backdrop-filter: blur(10px);
    transition: 0.2s;
    filter: drop-shadow(2px 2px 3px rgba(0, 0, 0, 0.5));
}

.menu-icon img {
    width: 100%;
    height: 100%;
    z-index: 99999;
}


.logo {
    column-span: 4;
    max-height: 200px;
}

.menu-item {
    font-family: "Cambria";
    font-size: 31px;
    filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.5));
    margin: 20px;
}

.menu-item:hover {
    text-decoration: underline;
}

.menu-active {
    font-weight: 600;
}

.main-container {
    background-color: antiquewhite;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0;
    max-width: 900px;
    margin: 0 auto;
}

.square {
    aspect-ratio: 1 / 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    overflow: hidden;
}

.square.paragraph h3 {
    margin-bottom: 0.5rem;
    display: block;
}

.square.paragraph p {
    font-size: clamp(0.6rem, 2vw, 0.9rem);
    text-align: center;
    margin: 0.3rem 0;
    display: block;
    padding: 1rem;
}

.square.photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.photo-top img {
    object-position: top;
}

.photo-quarter-top img {
    object-position: 50% 10%;
}

.photo-little-top img {
    object-position: 50% 25%;
}

.openable:hover {
    cursor: pointer;
    opacity: 0.8;
    transition: opacity 0.25s ease;
}

.taper-line {
    height: 1px;
    width: 70%;
    background: linear-gradient(to right,
            transparent 0%,
            #000 50%,
            transparent 100%);
}

.footer {
    background-color: antiquewhite;

    margin: 0 auto;
    display: flex;
    justify-content: center;

}

/*Contact form*/
#contact-form {
    width: 100%;
    margin: auto;
    display: grid;
}

#contact-form input, #contact-form textarea {
    display: inline-block;
    min-width: 200px;
    margin-bottom: 20px;
    padding: 16px 16px;
    border-width: 2px;
    border-color: antiquewhite;
    filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.5));

}

#contact-form button {
    width: 50%;
    padding: 10px 18px;
    margin: auto;
    background-color: #000000;
    color: white;
    display: inline-block;
    filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.5));
}


@media screen and (min-width: 10px) and (max-width: 767px) {
    .menu-item {
        display: none;
    }

    .menu-icon {
        display: block;
        z-index: 999;
    }

    .logo {
        position: fixed;
        top: 0px;
        background-color: antiquewhite;
        width: 100%;
        text-align: center;
        z-index: 99;
        box-shadow: 1px 1px 5px;
    }

    .logo h1 {
        padding-top: 25px;
    }

    h1 {
        font-size: 32px;
    }

    .menu-list {
        background-color: rgba(0, 0, 0, 0.3);
        backdrop-filter: blur(10px);
        border-radius: 2%;
        display: block;
        position: fixed;
        top: 120px;
        left: -450px;
        width: 150px;
        height: 200px;
        transition: left 0.3s ease;
        padding-right: 40px;
        padding-top: 0px;
        z-index: 999;
    }

    #menu-toggle {
        transform: scale(5);
        background-image: url("./hamburger-menu.png");
    }

    .menu-list a {
        display: block;
        padding: 15px;
        color: white;
        text-decoration: none;
    }

    .main-container {
        margin-top: 105px;;
    }
}